Bug 1542245 - CVE-2018-6519 php-simplesamlphp-saml2: Denial of Service in xs:DateTime timestamp in SAML2 library [epel-all]
Summary: CVE-2018-6519 php-simplesamlphp-saml2: Denial of Service in xs:DateTime times...
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: php-simplesamlphp-saml2
Version: epel7
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
Assignee: Shawn Iwinski
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: Security, SecurityTracking
Depends On:
Blocks: CVE-2018-6519
TreeView+ depends on / blocked
 
Reported: 2018-02-05 22:07 UTC by Laura Pardo
Modified: 2018-03-30 12:49 UTC (History)
1 user (show)

(edit)
Clone Of:
(edit)
Last Closed: 2018-03-25 21:23:47 UTC


Attachments (Terms of Use)

Description Laura Pardo 2018-02-05 22:07:40 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of epel-all.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

NOTE: this issue affects multiple supported versions of Fedora EPEL. While
only one tracking bug has been filed, please correct all affected versions
at the same time.  If you need to fix the versions independent of each
other, you may clone this bug as appropriate.

Comment 1 Laura Pardo 2018-02-05 22:07:44 UTC
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1542244,1542245

# Description of your update
notes=Security fix for [PUT CVEs HERE]

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi web interface to submit updates:

https://bodhi.fedoraproject.org/updates/new

Comment 2 Fedora Update System 2018-03-10 20:52:49 UTC
php-simplesamlphp-saml2_3-3.1.4-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2018-f2097d8937

Comment 3 Fedora Update System 2018-03-10 20:54:30 UTC
php-simplesamlphp-saml2_3-3.1.4-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-8cda2309d6

Comment 4 Fedora Update System 2018-03-10 20:56:01 UTC
php-simplesamlphp-saml2_3-3.1.4-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-37e28670f2

Comment 5 Fedora Update System 2018-03-10 20:56:10 UTC
php-simplesamlphp-saml2-2.3.8-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-6db40b0c37

Comment 6 Fedora Update System 2018-03-10 20:56:18 UTC
php-simplesamlphp-saml2-2.3.8-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-7150fa5dce

Comment 7 Fedora Update System 2018-03-10 20:56:27 UTC
php-simplesamlphp-saml2-2.3.8-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-85cb15befd

Comment 8 Fedora Update System 2018-03-10 20:56:36 UTC
php-simplesamlphp-saml2-2.3.8-1.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-57cbc61216

Comment 9 Fedora Update System 2018-03-10 20:56:46 UTC
php-simplesamlphp-saml2-2.3.8-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2018-f4ab4d96f9

Comment 10 Fedora Update System 2018-03-10 20:56:54 UTC
php-simplesamlphp-saml2_1-1.10.6-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-96601292a2

Comment 11 Fedora Update System 2018-03-10 20:57:03 UTC
php-simplesamlphp-saml2_1-1.10.6-1.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-0f3319c1ea

Comment 12 Fedora Update System 2018-03-10 20:57:12 UTC
php-simplesamlphp-saml2_1-1.10.6-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2018-d809bd2fd6

Comment 13 Fedora Update System 2018-03-10 20:57:22 UTC
php-simplesamlphp-saml2_1-1.10.6-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-635348eab4

Comment 14 Fedora Update System 2018-03-10 20:57:31 UTC
php-simplesamlphp-saml2_1-1.10.6-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-0ee228da17

Comment 15 Fedora Update System 2018-03-11 03:05:40 UTC
php-simplesamlphp-saml2_1-1.10.6-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-0ee228da17

Comment 16 Fedora Update System 2018-03-11 03:05:52 UTC
php-simplesamlphp-saml2-2.3.8-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-85cb15befd

Comment 17 Fedora Update System 2018-03-11 03:06:03 UTC
php-simplesamlphp-saml2_3-3.1.4-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-8cda2309d6

Comment 18 Fedora Update System 2018-03-11 20:12:05 UTC
php-simplesamlphp-saml2_1-1.10.6-1.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-0f3319c1ea

Comment 19 Fedora Update System 2018-03-11 20:12:17 UTC
php-simplesamlphp-saml2-2.3.8-1.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-57cbc61216

Comment 20 Fedora Update System 2018-03-11 20:13:34 UTC
php-simplesamlphp-saml2_1-1.10.6-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-635348eab4

Comment 21 Fedora Update System 2018-03-11 20:13:46 UTC
php-simplesamlphp-saml2-2.3.8-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-7150fa5dce

Comment 22 Fedora Update System 2018-03-11 20:27:38 UTC
php-simplesamlphp-saml2_1-1.10.6-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-d809bd2fd6

Comment 23 Fedora Update System 2018-03-11 20:27:49 UTC
php-simplesamlphp-saml2-2.3.8-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-f4ab4d96f9

Comment 24 Fedora Update System 2018-03-11 20:28:00 UTC
php-simplesamlphp-saml2_3-3.1.4-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-f2097d8937

Comment 25 Fedora Update System 2018-03-11 21:00:17 UTC
php-simplesamlphp-saml2_1-1.10.6-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-96601292a2

Comment 26 Fedora Update System 2018-03-11 21:00:29 UTC
php-simplesamlphp-saml2-2.3.8-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-6db40b0c37

Comment 27 Fedora Update System 2018-03-11 21:00:39 UTC
php-simplesamlphp-saml2_3-3.1.4-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-37e28670f2

Comment 28 Fedora Update System 2018-03-13 04:04:06 UTC
php-simplesamlphp-saml2_3-3.1.4-3.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-37e28670f2

Comment 29 Fedora Update System 2018-03-13 04:04:33 UTC
php-simplesamlphp-saml2_3-3.1.4-3.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-8cda2309d6

Comment 30 Fedora Update System 2018-03-13 15:08:26 UTC
php-simplesamlphp-saml2_3-3.1.4-3.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-8cda2309d6

Comment 31 Fedora Update System 2018-03-14 01:37:06 UTC
php-simplesamlphp-saml2_3-3.1.4-3.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-37e28670f2

Comment 32 Fedora Update System 2018-03-25 21:23:47 UTC
php-simplesamlphp-saml2_1-1.10.6-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 33 Fedora Update System 2018-03-25 21:24:04 UTC
php-simplesamlphp-saml2-2.3.8-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 34 Fedora Update System 2018-03-25 21:24:17 UTC
php-simplesamlphp-saml2_3-3.1.4-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 35 Fedora Update System 2018-03-25 21:48:35 UTC
php-simplesamlphp-saml2_1-1.10.6-1.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 36 Fedora Update System 2018-03-25 21:48:46 UTC
php-simplesamlphp-saml2-2.3.8-1.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 37 Fedora Update System 2018-03-25 21:48:58 UTC
php-simplesamlphp-saml2_3-3.1.4-3.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 38 Fedora Update System 2018-03-29 15:42:29 UTC
php-simplesamlphp-saml2_1-1.10.6-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 39 Fedora Update System 2018-03-29 15:42:44 UTC
php-simplesamlphp-saml2-2.3.8-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 40 Fedora Update System 2018-03-29 15:44:58 UTC
php-simplesamlphp-saml2_1-1.10.6-1.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.

Comment 41 Fedora Update System 2018-03-29 15:45:10 UTC
php-simplesamlphp-saml2-2.3.8-1.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.

Comment 42 Fedora Update System 2018-03-30 12:49:29 UTC
php-simplesamlphp-saml2_1-1.10.6-1.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 43 Fedora Update System 2018-03-30 12:49:41 UTC
php-simplesamlphp-saml2-2.3.8-1.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 44 Fedora Update System 2018-03-30 12:49:54 UTC
php-simplesamlphp-saml2_3-3.1.4-3.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.